@use "colors";
@use "variables";

.page-content-group.landing-links-line-1,
.page-content-group.landing-links-line-2,
.page-content-group.landing-links-line {
    border: unset !important;
    border-radius: unset !important;
    box-shadow: unset !important;


    .page-content {
        margin: 16px auto;
        background-color: colors.$content-white;
        border: 1px solid colors.$black;
        margin: 16px 0;
        border-radius: 4px;
        box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.25);
    }

    .fragment-anchor {
        display: none;
    }
}

.page-content-group.landing-links-line-2,
.page-content-group.landing-links-line:not(:first-child) {
    margin-top: -16px;
}

// We need to wrap the .landing-link styles in .page-content because we add the class "landing-link" to the
// page-content-group (when a landing-link is a child) which messes with the default styles.
.page-content {
    .landing-link {
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        text-align: center;

        & * {
            margin-bottom: 0.7rem;
        }

        .landing-link-icon {
            height: variables.$default-icon-height;
        }

        .button {
            margin: 0 auto;
        }


    }

    .level-3 {
        .landing-link-icon {
            height: variables.$smaller-icon-height;
        }
    }
}